#if !defined(AFX_CLASSIFIERTABLEFRAME_H__6D9EBBD6_A076_4D9C_94DA_87C62E84C2E2__INCLUDED_)
#define AFX_CLASSIFIERTABLEFRAME_H__6D9EBBD6_A076_4D9C_94DA_87C62E84C2E2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ClassifierTableFrame.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CClassifierTableFrame frame

class CClassifierTableFrame : public CFrameWnd
{
	DECLARE_DYNCREATE(CClassifierTableFrame)
protected:
	CClassifierTableFrame();           // protected constructor used by dynamic creation

// Attributes
	CToolBar	m_wndToolBar;
	CImageList	m_il;
	CImageList	m_ild;
public:
	CButton		m_check_btn;


// Operations
public:
	UINT ShowSelectEntityMenu();
	bool SetMode(UINT mode);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CClassifierTableFrame)
	protected:
	virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CClassifierTableFrame();

	// Generated message map functions
	//{{AFX_MSG(CClassifierTableFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CLASSIFIERTABLEFRAME_H__6D9EBBD6_A076_4D9C_94DA_87C62E84C2E2__INCLUDED_)
